using System;

namespace odbojka
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int brojPoena = Convert.ToInt32(s[0]);
            int poeniSet = Convert.ToInt32(s[1]);
            if (brojPoena < 3 * poeniSet) Console.WriteLine(-1);

            // Prvi slucaj W L; W L; W L;

            if (brojPoena <= (3 * poeniSet + (poeniSet - 2) * 3))
            {
                int bPoenaGubitnik = brojPoena - 3 * poeniSet;
                if (bPoenaGubitnik == 0)
                {
                    for(int i = 0; i < 3; i++)
                    {
                        Console.WriteLine(poeniSet.ToString() + " " + 0);
                    }
                }
                else
                {
                    if (bPoenaGubitnik % 3 == 0)
                    {
                        for (int i = 0; i < 3; i++)
                        {
                            Console.WriteLine(poeniSet.ToString() + " " + (bPoenaGubitnik / 3).ToString());
                        }
                    }
                    else
                    {
                        int i = 3;
                        while (bPoenaGubitnik >= 0 && i > 0)
                        {
                            if (bPoenaGubitnik > (poeniSet - 2))
                            {
                                Console.WriteLine(poeniSet.ToString() + " " + (poeniSet - 2).ToString());
                                bPoenaGubitnik -= (poeniSet - 2);
                                i--;
                                continue;
                            }
                            if (bPoenaGubitnik > 0 && bPoenaGubitnik < (poeniSet - 2))
                            {
                                Console.WriteLine(poeniSet.ToString() + " " + bPoenaGubitnik);
                                bPoenaGubitnik -= bPoenaGubitnik;
                                i--;
                                continue;
                            }
                            else
                            {
                                Console.WriteLine(poeniSet.ToString() + " " + 0);
                                i--;
                            }
                        }
                    }
                }
            }
            /*
            // Drugi slucaj W L; W L; L W; W L;
            if(brojPoena >= (3 * poeniSet + (poeniSet - 2) * 3) && brojPoena<=(4*poeniSet + (4 * (poeniSet - 2))))
            {
                int bPoenaGubitnik = poeniSet - 2;
                if (bPoenaGubitnik == 0)
                {
                    for (int i = 0; i < 4; i++)
                    {
                        Console.WriteLine(poeniSet.ToString() + " " + 0);
                    }
                }
                else
                {
                    if (bPoenaGubitnik % 4 == 0)
                    {
                        for (int i = 0; i < 4; i++)
                        {
                            Console.WriteLine(poeniSet.ToString() + " " + (bPoenaGubitnik / 4).ToString());
                        }
                    }
                    else
                    {
                        int i = 4;
                        while (bPoenaGubitnik >= 0 && i > 0)
                        {
                            if (bPoenaGubitnik >= (poeniSet - 2))
                            {
                                Console.WriteLine(poeniSet.ToString() + " " + (poeniSet - 2).ToString());
                                bPoenaGubitnik -= (poeniSet - 2);
                                i--;
                                continue;
                            }
                            if (bPoenaGubitnik > 0 && bPoenaGubitnik < (poeniSet - 2) && i!=2)
                            {
                                Console.WriteLine(poeniSet.ToString() + " " + bPoenaGubitnik);
                                bPoenaGubitnik -= bPoenaGubitnik;
                                i--;
                                continue;
                            }
                            if (bPoenaGubitnik > 0 && bPoenaGubitnik < (poeniSet - 2) && i == 2)
                            {
                                Console.WriteLine(bPoenaGubitnik + " " + poeniSet.ToString());
                                bPoenaGubitnik -= bPoenaGubitnik;
                                i--;
                                continue;
                            }
                            else
                            {
                                Console.WriteLine(poeniSet.ToString() + " " + 0);
                                i--;
                            }
                        }
                    }
                }
            }

            Console.ReadKey();*/
        }
    }
}